pgpool-II 4.3.7 Documentation
Prev | Up |  | Next

# pgpool_adm_pcp_attach_node

## Name

pgpool_adm_pcp_attach_node -- a function to attach given node ID

## Synopsis

``pcp_attach_node returns record`(integer `node_id`, text `host`, integer `port`, text `username`, text `password`, out `node_attached boolean`);`

``pcp_attach_node returns record`(integer `node_id`, text `pcp_server`, out `node_attached boolean`);`

## Description

`pcp_attach_node` attaches a node to Pgpool-II.

## Arguments

`node_id`

  The index of backend node to attach.

`pcp_server`

  The foreign server name for pcp server.

`Other arguments`

  See pcp_common_options.

## Example

Here is an example output:

        test=# SELECT * FROM pcp_attach_node(node_id => 1, host => 'localhost', port => 11001, username => 't-ishii', password => 't-ishii');
        node_attached
        ---------------
        t
        (1 row)

Prev | Home | Next
pgpool_adm_pcp_node_count | Up | pgpool_adm_pcp_detach_node